package com.ywt.mg.domain.models.enums;

public enum TimeFrameEnum {

    /**
     *  时段（1-全天，2-上午，3-下午）
     */

    WholeDay("全天", 1),
    AM("上午", 2),
    PM("下午", 3),
    UNKNOWN("", 4);

    private  final String displayName;

    private  final int value;

    TimeFrameEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public static TimeFrameEnum getDisplayName(Integer value) {
        switch (value){
            case 1:
                return WholeDay;

            case 2:
                return AM;

            case 3:
                return PM;
            default:
                return UNKNOWN;
        }

    }

    public  String getDisplayName() {
        return displayName;
    }

    public  int getValue() {
        return value;
    }
}
